@import "./theme/light.scss";

@font-face {
    font-family: EngFont;
    src: url('../fonts/Gilroy-Regular.ttf');
}

@font-face {
    font-family: EngFontHeavy;
    src: url('../fonts/Gilroy-Heavy.ttf');
}
@font-face {
    font-family: EngFontBold;
    src: url('../fonts/Gilroy-Bold.woff');
}

html, body, #root, .App{
    height: 100%
}

.app-container{
    height: calc(100% - 57.6px);
    overflow-y: scroll;
}

.app-content{
    padding: 120px 30px;
    min-height: 100%;
}

.detail-content{
    height: auto;
}

body {
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    * {
        font-family: EngFont, "Open Sans", sans-serif;
    }
}

.heavy-font {
    font-family: EngFontHeavy, "Open Sans", sans-serif;
}

.bold-font {
    font-family: EngFontBold, "Open Sans", sans-serif;
}

.bg-greenblue{
    background-color: $theme-color;
}

.jm-btn{
    color: $invert-text-color;
    background-color: $theme-color;
    border-color: $theme-color;
}

.error-msg{
    color: red;
    font-size: 14px;
}

.input-error{
    border: 1px solid red;
}

.username-txt{
    text-transform: capitalize;
}

.box-shadow{
    box-shadow: 0px 0px 12px 5px #00678294;
    border-radius: 15px;
}

.profile-btn{
    background-color: transparent;
    border: 0;
    color: white;
    outline: 0;
    cursor: pointer;
    &:focus{
        outline: 0;
    }
}

.dropdown-menu{
    right: 0;
    left: unset;
    top: 41px;
    border-radius: 0px 0px 10px 10px;
}

.dropdown-item.active, .dropdown-item:active{
    background-color: #06add963;
}

.back-container{
    position: absolute;
    left: 30px;
    padding: 0;
    margin: 0;
    background: transparent;
    border: 0;
    outline: 0;
    height: 100%;
    cursor: pointer;
    &:focus{
        outline: 0;
    }
}

.back-icon{
    width: 1.5em !important;
    height: 1.5em !important;
    color: #ffffff !important;
}

.profile-icon{
    width: 1.3em !important;
    height: 1.3em !important;
    vertical-align: -0.2em;
    margin-right: 5px;
}